/*******************************************************************************
* File Name: Switches.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Switches_ALIASES_H) /* Pins Switches_ALIASES_H */
#define CY_PINS_Switches_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"


/***************************************
*              Constants        
***************************************/
#define Switches_0			(Switches__0__PC)
#define Switches_0_INTR	((uint16)((uint16)0x0001u << Switches__0__SHIFT))

#define Switches_1			(Switches__1__PC)
#define Switches_1_INTR	((uint16)((uint16)0x0001u << Switches__1__SHIFT))

#define Switches_2			(Switches__2__PC)
#define Switches_2_INTR	((uint16)((uint16)0x0001u << Switches__2__SHIFT))

#define Switches_3			(Switches__3__PC)
#define Switches_3_INTR	((uint16)((uint16)0x0001u << Switches__3__SHIFT))

#define Switches_4			(Switches__4__PC)
#define Switches_4_INTR	((uint16)((uint16)0x0001u << Switches__4__SHIFT))

#define Switches_5			(Switches__5__PC)
#define Switches_5_INTR	((uint16)((uint16)0x0001u << Switches__5__SHIFT))

#define Switches_6			(Switches__6__PC)
#define Switches_6_INTR	((uint16)((uint16)0x0001u << Switches__6__SHIFT))

#define Switches_7			(Switches__7__PC)
#define Switches_7_INTR	((uint16)((uint16)0x0001u << Switches__7__SHIFT))

#define Switches_INTR_ALL	 ((uint16)(Switches_0_INTR| Switches_1_INTR| Switches_2_INTR| Switches_3_INTR| Switches_4_INTR| Switches_5_INTR| Switches_6_INTR| Switches_7_INTR))

#endif /* End Pins Switches_ALIASES_H */


/* [] END OF FILE */
