/*******************************************************************************
* File Name: TrainStartPulse.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_TrainStartPulse_H) /* Pins TrainStartPulse_H */
#define CY_PINS_TrainStartPulse_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "TrainStartPulse_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 TrainStartPulse__PORT == 15 && ((TrainStartPulse__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    TrainStartPulse_Write(uint8 value);
void    TrainStartPulse_SetDriveMode(uint8 mode);
uint8   TrainStartPulse_ReadDataReg(void);
uint8   TrainStartPulse_Read(void);
void    TrainStartPulse_SetInterruptMode(uint16 position, uint16 mode);
uint8   TrainStartPulse_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the TrainStartPulse_SetDriveMode() function.
     *  @{
     */
        #define TrainStartPulse_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define TrainStartPulse_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define TrainStartPulse_DM_RES_UP          PIN_DM_RES_UP
        #define TrainStartPulse_DM_RES_DWN         PIN_DM_RES_DWN
        #define TrainStartPulse_DM_OD_LO           PIN_DM_OD_LO
        #define TrainStartPulse_DM_OD_HI           PIN_DM_OD_HI
        #define TrainStartPulse_DM_STRONG          PIN_DM_STRONG
        #define TrainStartPulse_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define TrainStartPulse_MASK               TrainStartPulse__MASK
#define TrainStartPulse_SHIFT              TrainStartPulse__SHIFT
#define TrainStartPulse_WIDTH              1u

/* Interrupt constants */
#if defined(TrainStartPulse__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in TrainStartPulse_SetInterruptMode() function.
     *  @{
     */
        #define TrainStartPulse_INTR_NONE      (uint16)(0x0000u)
        #define TrainStartPulse_INTR_RISING    (uint16)(0x0001u)
        #define TrainStartPulse_INTR_FALLING   (uint16)(0x0002u)
        #define TrainStartPulse_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define TrainStartPulse_INTR_MASK      (0x01u) 
#endif /* (TrainStartPulse__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define TrainStartPulse_PS                     (* (reg8 *) TrainStartPulse__PS)
/* Data Register */
#define TrainStartPulse_DR                     (* (reg8 *) TrainStartPulse__DR)
/* Port Number */
#define TrainStartPulse_PRT_NUM                (* (reg8 *) TrainStartPulse__PRT) 
/* Connect to Analog Globals */                                                  
#define TrainStartPulse_AG                     (* (reg8 *) TrainStartPulse__AG)                       
/* Analog MUX bux enable */
#define TrainStartPulse_AMUX                   (* (reg8 *) TrainStartPulse__AMUX) 
/* Bidirectional Enable */                                                        
#define TrainStartPulse_BIE                    (* (reg8 *) TrainStartPulse__BIE)
/* Bit-mask for Aliased Register Access */
#define TrainStartPulse_BIT_MASK               (* (reg8 *) TrainStartPulse__BIT_MASK)
/* Bypass Enable */
#define TrainStartPulse_BYP                    (* (reg8 *) TrainStartPulse__BYP)
/* Port wide control signals */                                                   
#define TrainStartPulse_CTL                    (* (reg8 *) TrainStartPulse__CTL)
/* Drive Modes */
#define TrainStartPulse_DM0                    (* (reg8 *) TrainStartPulse__DM0) 
#define TrainStartPulse_DM1                    (* (reg8 *) TrainStartPulse__DM1)
#define TrainStartPulse_DM2                    (* (reg8 *) TrainStartPulse__DM2) 
/* Input Buffer Disable Override */
#define TrainStartPulse_INP_DIS                (* (reg8 *) TrainStartPulse__INP_DIS)
/* LCD Common or Segment Drive */
#define TrainStartPulse_LCD_COM_SEG            (* (reg8 *) TrainStartPulse__LCD_COM_SEG)
/* Enable Segment LCD */
#define TrainStartPulse_LCD_EN                 (* (reg8 *) TrainStartPulse__LCD_EN)
/* Slew Rate Control */
#define TrainStartPulse_SLW                    (* (reg8 *) TrainStartPulse__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define TrainStartPulse_PRTDSI__CAPS_SEL       (* (reg8 *) TrainStartPulse__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define TrainStartPulse_PRTDSI__DBL_SYNC_IN    (* (reg8 *) TrainStartPulse__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define TrainStartPulse_PRTDSI__OE_SEL0        (* (reg8 *) TrainStartPulse__PRTDSI__OE_SEL0) 
#define TrainStartPulse_PRTDSI__OE_SEL1        (* (reg8 *) TrainStartPulse__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define TrainStartPulse_PRTDSI__OUT_SEL0       (* (reg8 *) TrainStartPulse__PRTDSI__OUT_SEL0) 
#define TrainStartPulse_PRTDSI__OUT_SEL1       (* (reg8 *) TrainStartPulse__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define TrainStartPulse_PRTDSI__SYNC_OUT       (* (reg8 *) TrainStartPulse__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(TrainStartPulse__SIO_CFG)
    #define TrainStartPulse_SIO_HYST_EN        (* (reg8 *) TrainStartPulse__SIO_HYST_EN)
    #define TrainStartPulse_SIO_REG_HIFREQ     (* (reg8 *) TrainStartPulse__SIO_REG_HIFREQ)
    #define TrainStartPulse_SIO_CFG            (* (reg8 *) TrainStartPulse__SIO_CFG)
    #define TrainStartPulse_SIO_DIFF           (* (reg8 *) TrainStartPulse__SIO_DIFF)
#endif /* (TrainStartPulse__SIO_CFG) */

/* Interrupt Registers */
#if defined(TrainStartPulse__INTSTAT)
    #define TrainStartPulse_INTSTAT            (* (reg8 *) TrainStartPulse__INTSTAT)
    #define TrainStartPulse_SNAP               (* (reg8 *) TrainStartPulse__SNAP)
    
	#define TrainStartPulse_0_INTTYPE_REG 		(* (reg8 *) TrainStartPulse__0__INTTYPE)
#endif /* (TrainStartPulse__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_TrainStartPulse_H */


/* [] END OF FILE */
