/*******************************************************************************
* File Name: TrainStopPulse.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_TrainStopPulse_H) /* Pins TrainStopPulse_H */
#define CY_PINS_TrainStopPulse_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "TrainStopPulse_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 TrainStopPulse__PORT == 15 && ((TrainStopPulse__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    TrainStopPulse_Write(uint8 value);
void    TrainStopPulse_SetDriveMode(uint8 mode);
uint8   TrainStopPulse_ReadDataReg(void);
uint8   TrainStopPulse_Read(void);
void    TrainStopPulse_SetInterruptMode(uint16 position, uint16 mode);
uint8   TrainStopPulse_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the TrainStopPulse_SetDriveMode() function.
     *  @{
     */
        #define TrainStopPulse_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define TrainStopPulse_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define TrainStopPulse_DM_RES_UP          PIN_DM_RES_UP
        #define TrainStopPulse_DM_RES_DWN         PIN_DM_RES_DWN
        #define TrainStopPulse_DM_OD_LO           PIN_DM_OD_LO
        #define TrainStopPulse_DM_OD_HI           PIN_DM_OD_HI
        #define TrainStopPulse_DM_STRONG          PIN_DM_STRONG
        #define TrainStopPulse_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define TrainStopPulse_MASK               TrainStopPulse__MASK
#define TrainStopPulse_SHIFT              TrainStopPulse__SHIFT
#define TrainStopPulse_WIDTH              1u

/* Interrupt constants */
#if defined(TrainStopPulse__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in TrainStopPulse_SetInterruptMode() function.
     *  @{
     */
        #define TrainStopPulse_INTR_NONE      (uint16)(0x0000u)
        #define TrainStopPulse_INTR_RISING    (uint16)(0x0001u)
        #define TrainStopPulse_INTR_FALLING   (uint16)(0x0002u)
        #define TrainStopPulse_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define TrainStopPulse_INTR_MASK      (0x01u) 
#endif /* (TrainStopPulse__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define TrainStopPulse_PS                     (* (reg8 *) TrainStopPulse__PS)
/* Data Register */
#define TrainStopPulse_DR                     (* (reg8 *) TrainStopPulse__DR)
/* Port Number */
#define TrainStopPulse_PRT_NUM                (* (reg8 *) TrainStopPulse__PRT) 
/* Connect to Analog Globals */                                                  
#define TrainStopPulse_AG                     (* (reg8 *) TrainStopPulse__AG)                       
/* Analog MUX bux enable */
#define TrainStopPulse_AMUX                   (* (reg8 *) TrainStopPulse__AMUX) 
/* Bidirectional Enable */                                                        
#define TrainStopPulse_BIE                    (* (reg8 *) TrainStopPulse__BIE)
/* Bit-mask for Aliased Register Access */
#define TrainStopPulse_BIT_MASK               (* (reg8 *) TrainStopPulse__BIT_MASK)
/* Bypass Enable */
#define TrainStopPulse_BYP                    (* (reg8 *) TrainStopPulse__BYP)
/* Port wide control signals */                                                   
#define TrainStopPulse_CTL                    (* (reg8 *) TrainStopPulse__CTL)
/* Drive Modes */
#define TrainStopPulse_DM0                    (* (reg8 *) TrainStopPulse__DM0) 
#define TrainStopPulse_DM1                    (* (reg8 *) TrainStopPulse__DM1)
#define TrainStopPulse_DM2                    (* (reg8 *) TrainStopPulse__DM2) 
/* Input Buffer Disable Override */
#define TrainStopPulse_INP_DIS                (* (reg8 *) TrainStopPulse__INP_DIS)
/* LCD Common or Segment Drive */
#define TrainStopPulse_LCD_COM_SEG            (* (reg8 *) TrainStopPulse__LCD_COM_SEG)
/* Enable Segment LCD */
#define TrainStopPulse_LCD_EN                 (* (reg8 *) TrainStopPulse__LCD_EN)
/* Slew Rate Control */
#define TrainStopPulse_SLW                    (* (reg8 *) TrainStopPulse__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define TrainStopPulse_PRTDSI__CAPS_SEL       (* (reg8 *) TrainStopPulse__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define TrainStopPulse_PRTDSI__DBL_SYNC_IN    (* (reg8 *) TrainStopPulse__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define TrainStopPulse_PRTDSI__OE_SEL0        (* (reg8 *) TrainStopPulse__PRTDSI__OE_SEL0) 
#define TrainStopPulse_PRTDSI__OE_SEL1        (* (reg8 *) TrainStopPulse__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define TrainStopPulse_PRTDSI__OUT_SEL0       (* (reg8 *) TrainStopPulse__PRTDSI__OUT_SEL0) 
#define TrainStopPulse_PRTDSI__OUT_SEL1       (* (reg8 *) TrainStopPulse__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define TrainStopPulse_PRTDSI__SYNC_OUT       (* (reg8 *) TrainStopPulse__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(TrainStopPulse__SIO_CFG)
    #define TrainStopPulse_SIO_HYST_EN        (* (reg8 *) TrainStopPulse__SIO_HYST_EN)
    #define TrainStopPulse_SIO_REG_HIFREQ     (* (reg8 *) TrainStopPulse__SIO_REG_HIFREQ)
    #define TrainStopPulse_SIO_CFG            (* (reg8 *) TrainStopPulse__SIO_CFG)
    #define TrainStopPulse_SIO_DIFF           (* (reg8 *) TrainStopPulse__SIO_DIFF)
#endif /* (TrainStopPulse__SIO_CFG) */

/* Interrupt Registers */
#if defined(TrainStopPulse__INTSTAT)
    #define TrainStopPulse_INTSTAT            (* (reg8 *) TrainStopPulse__INTSTAT)
    #define TrainStopPulse_SNAP               (* (reg8 *) TrainStopPulse__SNAP)
    
	#define TrainStopPulse_0_INTTYPE_REG 		(* (reg8 *) TrainStopPulse__0__INTTYPE)
#endif /* (TrainStopPulse__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_TrainStopPulse_H */


/* [] END OF FILE */
