/*******************************************************************************
* File Name: xp_parallel_clk.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_xp_parallel_clk_H) /* Pins xp_parallel_clk_H */
#define CY_PINS_xp_parallel_clk_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "xp_parallel_clk_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 xp_parallel_clk__PORT == 15 && ((xp_parallel_clk__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    xp_parallel_clk_Write(uint8 value);
void    xp_parallel_clk_SetDriveMode(uint8 mode);
uint8   xp_parallel_clk_ReadDataReg(void);
uint8   xp_parallel_clk_Read(void);
void    xp_parallel_clk_SetInterruptMode(uint16 position, uint16 mode);
uint8   xp_parallel_clk_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the xp_parallel_clk_SetDriveMode() function.
     *  @{
     */
        #define xp_parallel_clk_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define xp_parallel_clk_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define xp_parallel_clk_DM_RES_UP          PIN_DM_RES_UP
        #define xp_parallel_clk_DM_RES_DWN         PIN_DM_RES_DWN
        #define xp_parallel_clk_DM_OD_LO           PIN_DM_OD_LO
        #define xp_parallel_clk_DM_OD_HI           PIN_DM_OD_HI
        #define xp_parallel_clk_DM_STRONG          PIN_DM_STRONG
        #define xp_parallel_clk_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define xp_parallel_clk_MASK               xp_parallel_clk__MASK
#define xp_parallel_clk_SHIFT              xp_parallel_clk__SHIFT
#define xp_parallel_clk_WIDTH              1u

/* Interrupt constants */
#if defined(xp_parallel_clk__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in xp_parallel_clk_SetInterruptMode() function.
     *  @{
     */
        #define xp_parallel_clk_INTR_NONE      (uint16)(0x0000u)
        #define xp_parallel_clk_INTR_RISING    (uint16)(0x0001u)
        #define xp_parallel_clk_INTR_FALLING   (uint16)(0x0002u)
        #define xp_parallel_clk_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define xp_parallel_clk_INTR_MASK      (0x01u) 
#endif /* (xp_parallel_clk__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define xp_parallel_clk_PS                     (* (reg8 *) xp_parallel_clk__PS)
/* Data Register */
#define xp_parallel_clk_DR                     (* (reg8 *) xp_parallel_clk__DR)
/* Port Number */
#define xp_parallel_clk_PRT_NUM                (* (reg8 *) xp_parallel_clk__PRT) 
/* Connect to Analog Globals */                                                  
#define xp_parallel_clk_AG                     (* (reg8 *) xp_parallel_clk__AG)                       
/* Analog MUX bux enable */
#define xp_parallel_clk_AMUX                   (* (reg8 *) xp_parallel_clk__AMUX) 
/* Bidirectional Enable */                                                        
#define xp_parallel_clk_BIE                    (* (reg8 *) xp_parallel_clk__BIE)
/* Bit-mask for Aliased Register Access */
#define xp_parallel_clk_BIT_MASK               (* (reg8 *) xp_parallel_clk__BIT_MASK)
/* Bypass Enable */
#define xp_parallel_clk_BYP                    (* (reg8 *) xp_parallel_clk__BYP)
/* Port wide control signals */                                                   
#define xp_parallel_clk_CTL                    (* (reg8 *) xp_parallel_clk__CTL)
/* Drive Modes */
#define xp_parallel_clk_DM0                    (* (reg8 *) xp_parallel_clk__DM0) 
#define xp_parallel_clk_DM1                    (* (reg8 *) xp_parallel_clk__DM1)
#define xp_parallel_clk_DM2                    (* (reg8 *) xp_parallel_clk__DM2) 
/* Input Buffer Disable Override */
#define xp_parallel_clk_INP_DIS                (* (reg8 *) xp_parallel_clk__INP_DIS)
/* LCD Common or Segment Drive */
#define xp_parallel_clk_LCD_COM_SEG            (* (reg8 *) xp_parallel_clk__LCD_COM_SEG)
/* Enable Segment LCD */
#define xp_parallel_clk_LCD_EN                 (* (reg8 *) xp_parallel_clk__LCD_EN)
/* Slew Rate Control */
#define xp_parallel_clk_SLW                    (* (reg8 *) xp_parallel_clk__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define xp_parallel_clk_PRTDSI__CAPS_SEL       (* (reg8 *) xp_parallel_clk__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define xp_parallel_clk_PRTDSI__DBL_SYNC_IN    (* (reg8 *) xp_parallel_clk__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define xp_parallel_clk_PRTDSI__OE_SEL0        (* (reg8 *) xp_parallel_clk__PRTDSI__OE_SEL0) 
#define xp_parallel_clk_PRTDSI__OE_SEL1        (* (reg8 *) xp_parallel_clk__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define xp_parallel_clk_PRTDSI__OUT_SEL0       (* (reg8 *) xp_parallel_clk__PRTDSI__OUT_SEL0) 
#define xp_parallel_clk_PRTDSI__OUT_SEL1       (* (reg8 *) xp_parallel_clk__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define xp_parallel_clk_PRTDSI__SYNC_OUT       (* (reg8 *) xp_parallel_clk__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(xp_parallel_clk__SIO_CFG)
    #define xp_parallel_clk_SIO_HYST_EN        (* (reg8 *) xp_parallel_clk__SIO_HYST_EN)
    #define xp_parallel_clk_SIO_REG_HIFREQ     (* (reg8 *) xp_parallel_clk__SIO_REG_HIFREQ)
    #define xp_parallel_clk_SIO_CFG            (* (reg8 *) xp_parallel_clk__SIO_CFG)
    #define xp_parallel_clk_SIO_DIFF           (* (reg8 *) xp_parallel_clk__SIO_DIFF)
#endif /* (xp_parallel_clk__SIO_CFG) */

/* Interrupt Registers */
#if defined(xp_parallel_clk__INTSTAT)
    #define xp_parallel_clk_INTSTAT            (* (reg8 *) xp_parallel_clk__INTSTAT)
    #define xp_parallel_clk_SNAP               (* (reg8 *) xp_parallel_clk__SNAP)
    
	#define xp_parallel_clk_0_INTTYPE_REG 		(* (reg8 *) xp_parallel_clk__0__INTTYPE)
#endif /* (xp_parallel_clk__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_xp_parallel_clk_H */


/* [] END OF FILE */
